<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/acmp.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">acmp.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series Analog Comparator(ACMP) driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d72/acmp_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2acmp_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../dc/d2f/acmp_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gac43151f2443ae795d5e6a437f77eedd3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac43151f2443ae795d5e6a437f77eedd3">ACMP_CR_CN_PIN</a>&#160;&#160;&#160;(0&lt;&lt;24)</td></tr>
<tr class="memdesc:gac43151f2443ae795d5e6a437f77eedd3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator reference pin CPN0/1 is selected.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac43151f2443ae795d5e6a437f77eedd3">More...</a><br /></td></tr>
<tr class="separator:gac43151f2443ae795d5e6a437f77eedd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac02c4255fa5fff6508dbaea342bc59b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac02c4255fa5fff6508dbaea342bc59b">ACMP_CR_CN_CRV</a>&#160;&#160;&#160;(1&lt;&lt;24)</td></tr>
<tr class="memdesc:gaac02c4255fa5fff6508dbaea342bc59b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The internal comparator reference voltage (CRV) is selected.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac02c4255fa5fff6508dbaea342bc59b">More...</a><br /></td></tr>
<tr class="separator:gaac02c4255fa5fff6508dbaea342bc59b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga05e9d3b0cec7ab5576b38c408fdab598"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga05e9d3b0cec7ab5576b38c408fdab598">ACMP_CR_CN_VREFI</a>&#160;&#160;&#160;(2&lt;&lt;24)</td></tr>
<tr class="memdesc:ga05e9d3b0cec7ab5576b38c408fdab598"><td class="mdescLeft">&#160;</td><td class="mdescRight">The internal reference voltage (VREFI) is selected.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga05e9d3b0cec7ab5576b38c408fdab598">More...</a><br /></td></tr>
<tr class="separator:ga05e9d3b0cec7ab5576b38c408fdab598"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7ad76b3d6869d22a8ce20c5bae4e117"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf7ad76b3d6869d22a8ce20c5bae4e117">ACMP_CR_CN_AGND</a>&#160;&#160;&#160;(3&lt;&lt;24)</td></tr>
<tr class="memdesc:gaf7ad76b3d6869d22a8ce20c5bae4e117"><td class="mdescLeft">&#160;</td><td class="mdescRight">The AGND is selected *&zwj;/.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf7ad76b3d6869d22a8ce20c5bae4e117">More...</a><br /></td></tr>
<tr class="separator:gaf7ad76b3d6869d22a8ce20c5bae4e117"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8f3deb8884c2d823350257cc2cf4c8ab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8f3deb8884c2d823350257cc2cf4c8ab">ACMP_CR_ACMP_HYSTERSIS_ENABLE</a>&#160;&#160;&#160;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gaa28c295d8361ea35f88dbf4d37b6ddc5">ACMP_CR_ACMP_HYSEN_Msk</a></td></tr>
<tr class="memdesc:ga8f3deb8884c2d823350257cc2cf4c8ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">ACMP hysteresis enable.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8f3deb8884c2d823350257cc2cf4c8ab">More...</a><br /></td></tr>
<tr class="separator:ga8f3deb8884c2d823350257cc2cf4c8ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga25481f9389c229c5bf492dcbe3f059bd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga25481f9389c229c5bf492dcbe3f059bd">ACMP_CR_ACMP_HYSTERSIS_DISABLE</a>&#160;&#160;&#160;0</td></tr>
<tr class="memdesc:ga25481f9389c229c5bf492dcbe3f059bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">ACMP hysteresis disable.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga25481f9389c229c5bf492dcbe3f059bd">More...</a><br /></td></tr>
<tr class="separator:ga25481f9389c229c5bf492dcbe3f059bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2f2e2e8eb7089383f76000b2af8dfa71"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f2e2e8eb7089383f76000b2af8dfa71">ACMP_CR_CPP0SEL_PA1</a>&#160;&#160;&#160;(3UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gab98e3def5b232f73054b72d40c8d7c18">ACMP_CR_CPP0SEL_Pos</a>)</td></tr>
<tr class="memdesc:ga2f2e2e8eb7089383f76000b2af8dfa71"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator positive input select PA1.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f2e2e8eb7089383f76000b2af8dfa71">More...</a><br /></td></tr>
<tr class="separator:ga2f2e2e8eb7089383f76000b2af8dfa71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab90122c8869cde2b0d879be3ae0db9df"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90122c8869cde2b0d879be3ae0db9df">ACMP_CR_CPP0SEL_PA2</a>&#160;&#160;&#160;(2UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gab98e3def5b232f73054b72d40c8d7c18">ACMP_CR_CPP0SEL_Pos</a>)</td></tr>
<tr class="memdesc:gab90122c8869cde2b0d879be3ae0db9df"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator positive input select PA2.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90122c8869cde2b0d879be3ae0db9df">More...</a><br /></td></tr>
<tr class="separator:gab90122c8869cde2b0d879be3ae0db9df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacf47889af37dafc0ddf246e988a7407d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacf47889af37dafc0ddf246e988a7407d">ACMP_CR_CPP0SEL_PA3</a>&#160;&#160;&#160;(1UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gab98e3def5b232f73054b72d40c8d7c18">ACMP_CR_CPP0SEL_Pos</a>)</td></tr>
<tr class="memdesc:gacf47889af37dafc0ddf246e988a7407d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator positive input select PA3.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacf47889af37dafc0ddf246e988a7407d">More...</a><br /></td></tr>
<tr class="separator:gacf47889af37dafc0ddf246e988a7407d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf70d3c3914b0dfba58961e6a03a2518e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf70d3c3914b0dfba58961e6a03a2518e">ACMP_CR_CPP0SEL_PA4</a>&#160;&#160;&#160;(0UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gab98e3def5b232f73054b72d40c8d7c18">ACMP_CR_CPP0SEL_Pos</a>)</td></tr>
<tr class="memdesc:gaf70d3c3914b0dfba58961e6a03a2518e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator positive input select PA4.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf70d3c3914b0dfba58961e6a03a2518e">More...</a><br /></td></tr>
<tr class="separator:gaf70d3c3914b0dfba58961e6a03a2518e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabb5afbe77b5d1c46cdbf1a1da6c2558e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabb5afbe77b5d1c46cdbf1a1da6c2558e">ACMP_MODCR0_TMR_TRI_LV_RISING</a>&#160;&#160;&#160;(0UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga22e6a34e68f2802006574d3eac6f68fc">ACMP_MODCR0_TMR_TRI_LV_Pos</a>)</td></tr>
<tr class="memdesc:gabb5afbe77b5d1c46cdbf1a1da6c2558e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator output low to high to enable timer.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabb5afbe77b5d1c46cdbf1a1da6c2558e">More...</a><br /></td></tr>
<tr class="separator:gabb5afbe77b5d1c46cdbf1a1da6c2558e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab040a283194873739457a8a85b1c0c8d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab040a283194873739457a8a85b1c0c8d">ACMP_MODCR0_TMR_TRI_LV_FALLING</a>&#160;&#160;&#160;(1UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga22e6a34e68f2802006574d3eac6f68fc">ACMP_MODCR0_TMR_TRI_LV_Pos</a>)</td></tr>
<tr class="memdesc:gab040a283194873739457a8a85b1c0c8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator output high to low to enable timer.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab040a283194873739457a8a85b1c0c8d">More...</a><br /></td></tr>
<tr class="separator:gab040a283194873739457a8a85b1c0c8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga15e2af0fea9fbf8b15ddedc44f186d12"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga15e2af0fea9fbf8b15ddedc44f186d12">ACMP_MODCR0_CH_DIS_PINSEL_PA1</a>&#160;&#160;&#160;(0UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga6f13318e837c076dd055b0b537e2b3e7">ACMP_MODCR0_CH_DIS_PIN_SEL_Pos</a>)</td></tr>
<tr class="memdesc:ga15e2af0fea9fbf8b15ddedc44f186d12"><td class="mdescLeft">&#160;</td><td class="mdescRight">The charge/discharge pin select PA1.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga15e2af0fea9fbf8b15ddedc44f186d12">More...</a><br /></td></tr>
<tr class="separator:ga15e2af0fea9fbf8b15ddedc44f186d12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab670864bd85e62048db8435ea3a826b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab670864bd85e62048db8435ea3a826b7">ACMP_MODCR0_CH_DIS_PINSEL_PA2</a>&#160;&#160;&#160;(1UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga6f13318e837c076dd055b0b537e2b3e7">ACMP_MODCR0_CH_DIS_PIN_SEL_Pos</a>)</td></tr>
<tr class="memdesc:gab670864bd85e62048db8435ea3a826b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The charge/discharge pin select PA2.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab670864bd85e62048db8435ea3a826b7">More...</a><br /></td></tr>
<tr class="separator:gab670864bd85e62048db8435ea3a826b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga202acb91d2c6b5c0c85926f03e002440"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga202acb91d2c6b5c0c85926f03e002440">ACMP_MODCR0_CH_DIS_PINSEL_PA3</a>&#160;&#160;&#160;(2UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga6f13318e837c076dd055b0b537e2b3e7">ACMP_MODCR0_CH_DIS_PIN_SEL_Pos</a>)</td></tr>
<tr class="memdesc:ga202acb91d2c6b5c0c85926f03e002440"><td class="mdescLeft">&#160;</td><td class="mdescRight">The charge/discharge pin select PA3.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga202acb91d2c6b5c0c85926f03e002440">More...</a><br /></td></tr>
<tr class="separator:ga202acb91d2c6b5c0c85926f03e002440"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac7d1c1926b071befc76924b883e4d0c2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac7d1c1926b071befc76924b883e4d0c2">ACMP_MODCR0_CH_DIS_PINSEL_PA4</a>&#160;&#160;&#160;(3UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga6f13318e837c076dd055b0b537e2b3e7">ACMP_MODCR0_CH_DIS_PIN_SEL_Pos</a>)</td></tr>
<tr class="memdesc:gac7d1c1926b071befc76924b883e4d0c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The charge/discharge pin select PA4.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac7d1c1926b071befc76924b883e4d0c2">More...</a><br /></td></tr>
<tr class="separator:gac7d1c1926b071befc76924b883e4d0c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab81cfc3b514619a7fb9d081fedab153b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab81cfc3b514619a7fb9d081fedab153b">ACMP_MODCR0_CH_DIS_PINSEL_PA5</a>&#160;&#160;&#160;(4UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga6f13318e837c076dd055b0b537e2b3e7">ACMP_MODCR0_CH_DIS_PIN_SEL_Pos</a>)</td></tr>
<tr class="memdesc:gab81cfc3b514619a7fb9d081fedab153b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The charge/discharge pin select PA5.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab81cfc3b514619a7fb9d081fedab153b">More...</a><br /></td></tr>
<tr class="separator:gab81cfc3b514619a7fb9d081fedab153b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada38658fdc228b40aefefd7766810e6c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada38658fdc228b40aefefd7766810e6c">ACMP_MODCR0_CH_DIS_PINSEL_PA6</a>&#160;&#160;&#160;(5UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga6f13318e837c076dd055b0b537e2b3e7">ACMP_MODCR0_CH_DIS_PIN_SEL_Pos</a>)</td></tr>
<tr class="memdesc:gada38658fdc228b40aefefd7766810e6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The charge/discharge pin select PA6.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada38658fdc228b40aefefd7766810e6c">More...</a><br /></td></tr>
<tr class="separator:gada38658fdc228b40aefefd7766810e6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7a4ab39c376c5bf5d9096964f9587f49"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7a4ab39c376c5bf5d9096964f9587f49">ACMP_MODCR0_CH_DIS_PINSEL_PA14</a>&#160;&#160;&#160;(6UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga6f13318e837c076dd055b0b537e2b3e7">ACMP_MODCR0_CH_DIS_PIN_SEL_Pos</a>)</td></tr>
<tr class="memdesc:ga7a4ab39c376c5bf5d9096964f9587f49"><td class="mdescLeft">&#160;</td><td class="mdescRight">The charge/discharge pin select PA14.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7a4ab39c376c5bf5d9096964f9587f49">More...</a><br /></td></tr>
<tr class="separator:ga7a4ab39c376c5bf5d9096964f9587f49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga30f3f7b9ef410b74749b6e4c9e276132"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30f3f7b9ef410b74749b6e4c9e276132">ACMP_MODCR0_CH_DIS_PINSEL_PF5</a>&#160;&#160;&#160;(7UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga6f13318e837c076dd055b0b537e2b3e7">ACMP_MODCR0_CH_DIS_PIN_SEL_Pos</a>)</td></tr>
<tr class="memdesc:ga30f3f7b9ef410b74749b6e4c9e276132"><td class="mdescLeft">&#160;</td><td class="mdescRight">The charge/discharge pin select PF5.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30f3f7b9ef410b74749b6e4c9e276132">More...</a><br /></td></tr>
<tr class="separator:ga30f3f7b9ef410b74749b6e4c9e276132"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga15bc92bc211ec137f29ad54442218b71"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga15bc92bc211ec137f29ad54442218b71">ACMP_MODCR0_MOD_SEL_NORMAL</a>&#160;&#160;&#160;(0UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga10ce9fc60674dfd4c00f5f0658ee9aba">ACMP_MODCR0_MOD_SEL_Pos</a>)</td></tr>
<tr class="memdesc:ga15bc92bc211ec137f29ad54442218b71"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator mode select normal mode.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga15bc92bc211ec137f29ad54442218b71">More...</a><br /></td></tr>
<tr class="separator:ga15bc92bc211ec137f29ad54442218b71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga274862a77f3850558288b7f9e7869700"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga274862a77f3850558288b7f9e7869700">ACMP_MODCR0_MOD_SEL_SIGAMA_DELTA</a>&#160;&#160;&#160;(1UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga10ce9fc60674dfd4c00f5f0658ee9aba">ACMP_MODCR0_MOD_SEL_Pos</a>)</td></tr>
<tr class="memdesc:ga274862a77f3850558288b7f9e7869700"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator mode select sigma-delta mode.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga274862a77f3850558288b7f9e7869700">More...</a><br /></td></tr>
<tr class="separator:ga274862a77f3850558288b7f9e7869700"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd2a6986c27091d994019ac9f6097352"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd2a6986c27091d994019ac9f6097352">ACMP_MODCR0_MOD_SEL_SLOPE</a>&#160;&#160;&#160;(2UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga10ce9fc60674dfd4c00f5f0658ee9aba">ACMP_MODCR0_MOD_SEL_Pos</a>)</td></tr>
<tr class="memdesc:gabd2a6986c27091d994019ac9f6097352"><td class="mdescLeft">&#160;</td><td class="mdescRight">The comparator mode select slope mode.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd2a6986c27091d994019ac9f6097352">More...</a><br /></td></tr>
<tr class="separator:gabd2a6986c27091d994019ac9f6097352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaef419c649fdcbf4a27ccaf910037d2f8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaef419c649fdcbf4a27ccaf910037d2f8">ACMP_TIMER01</a>&#160;&#160;&#160;(0UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga61d84ae84a36d19d657c290f271ffe0e">ACMP_MODCR0_TMR_SEL_Pos</a>)</td></tr>
<tr class="memdesc:gaef419c649fdcbf4a27ccaf910037d2f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">ACMP use timer0 and timer1.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaef419c649fdcbf4a27ccaf910037d2f8">More...</a><br /></td></tr>
<tr class="separator:gaef419c649fdcbf4a27ccaf910037d2f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga426242524311ceb7ed018380c6d08ced"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga426242524311ceb7ed018380c6d08ced">ACMP_TIMER23</a>&#160;&#160;&#160;(1UL&lt;&lt;<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#ga61d84ae84a36d19d657c290f271ffe0e">ACMP_MODCR0_TMR_SEL_Pos</a>)</td></tr>
<tr class="memdesc:ga426242524311ceb7ed018380c6d08ced"><td class="mdescLeft">&#160;</td><td class="mdescRight">ACMP use timer2 and timer3.  <a href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga426242524311ceb7ed018380c6d08ced">More...</a><br /></td></tr>
<tr class="separator:ga426242524311ceb7ed018380c6d08ced"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45a665764c52ef6a9f04d7ea146628e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga45a665764c52ef6a9f04d7ea146628e4">ACMP_SET_NEG_SRC</a>(acmp,  u32ChNum,  u32Src)</td></tr>
<tr class="memdesc:ga45a665764c52ef6a9f04d7ea146628e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable output inverse.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga45a665764c52ef6a9f04d7ea146628e4">More...</a><br /></td></tr>
<tr class="separator:ga45a665764c52ef6a9f04d7ea146628e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ff058bc40270bc680c5342e61286d1c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ff058bc40270bc680c5342e61286d1c">ACMP_ENABLE_HYSTERESIS</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga6ff058bc40270bc680c5342e61286d1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable hysteresis.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ff058bc40270bc680c5342e61286d1c">More...</a><br /></td></tr>
<tr class="separator:ga6ff058bc40270bc680c5342e61286d1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d40aa0b9764296df3efdbf123efd67c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d40aa0b9764296df3efdbf123efd67c">ACMP_DISABLE_HYSTERESIS</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga2d40aa0b9764296df3efdbf123efd67c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable hysteresis.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d40aa0b9764296df3efdbf123efd67c">More...</a><br /></td></tr>
<tr class="separator:ga2d40aa0b9764296df3efdbf123efd67c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a87980f263cf8d119a0c8c6813c0009"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3a87980f263cf8d119a0c8c6813c0009">ACMP_ENABLE_INT</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga3a87980f263cf8d119a0c8c6813c0009"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable interrupt.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3a87980f263cf8d119a0c8c6813c0009">More...</a><br /></td></tr>
<tr class="separator:ga3a87980f263cf8d119a0c8c6813c0009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabeacab51c104e76f4a63e549dd51458e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabeacab51c104e76f4a63e549dd51458e">ACMP_DISABLE_INT</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gabeacab51c104e76f4a63e549dd51458e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable interrupt.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabeacab51c104e76f4a63e549dd51458e">More...</a><br /></td></tr>
<tr class="separator:gabeacab51c104e76f4a63e549dd51458e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b0826b13566d82221c87495d53f1fd1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b0826b13566d82221c87495d53f1fd1">ACMP_ENABLE</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga1b0826b13566d82221c87495d53f1fd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable ACMP.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b0826b13566d82221c87495d53f1fd1">More...</a><br /></td></tr>
<tr class="separator:ga1b0826b13566d82221c87495d53f1fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6d2a6f4b3ff275b7b9c288d4ff9e451"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6d2a6f4b3ff275b7b9c288d4ff9e451">ACMP_DISABLE</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gab6d2a6f4b3ff275b7b9c288d4ff9e451"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable ACMP.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6d2a6f4b3ff275b7b9c288d4ff9e451">More...</a><br /></td></tr>
<tr class="separator:gab6d2a6f4b3ff275b7b9c288d4ff9e451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49697bfbf35af67568bed5eea9a16f14"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49697bfbf35af67568bed5eea9a16f14">ACMP_GET_OUTPUT</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga49697bfbf35af67568bed5eea9a16f14"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to get ACMP output value.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49697bfbf35af67568bed5eea9a16f14">More...</a><br /></td></tr>
<tr class="separator:ga49697bfbf35af67568bed5eea9a16f14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35fd02ebe49db0363ea1b49abd8e0a44"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35fd02ebe49db0363ea1b49abd8e0a44">ACMP_GET_INT_FLAG</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga35fd02ebe49db0363ea1b49abd8e0a44"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to get ACMP interrupt flag.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35fd02ebe49db0363ea1b49abd8e0a44">More...</a><br /></td></tr>
<tr class="separator:ga35fd02ebe49db0363ea1b49abd8e0a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6970a7ea11190354b68cf7773ce58941"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6970a7ea11190354b68cf7773ce58941">ACMP_CLR_INT_FLAG</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga6970a7ea11190354b68cf7773ce58941"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to clear ACMP interrupt flag.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6970a7ea11190354b68cf7773ce58941">More...</a><br /></td></tr>
<tr class="separator:ga6970a7ea11190354b68cf7773ce58941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab0a58d9725df2285311084afbbaf804c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab0a58d9725df2285311084afbbaf804c">ACMP_ENABLE_WAKEUP</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gab0a58d9725df2285311084afbbaf804c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable ACMP wake-up.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab0a58d9725df2285311084afbbaf804c">More...</a><br /></td></tr>
<tr class="separator:gab0a58d9725df2285311084afbbaf804c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3e3aed0f2919e2a8d61ab1e1dbe7708"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf3e3aed0f2919e2a8d61ab1e1dbe7708">ACMP_DISABLE_WAKEUP</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gaf3e3aed0f2919e2a8d61ab1e1dbe7708"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable ACMP wake-up.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf3e3aed0f2919e2a8d61ab1e1dbe7708">More...</a><br /></td></tr>
<tr class="separator:gaf3e3aed0f2919e2a8d61ab1e1dbe7708"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad026e3b348b4d01bf08169fcf228ccd4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad026e3b348b4d01bf08169fcf228ccd4">ACMP_CRV_SEL</a>(u32Level)</td></tr>
<tr class="memdesc:gad026e3b348b4d01bf08169fcf228ccd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable ACMP wake-up.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad026e3b348b4d01bf08169fcf228ccd4">More...</a><br /></td></tr>
<tr class="separator:gad026e3b348b4d01bf08169fcf228ccd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ea40922e983fbac41f1edb8de6a3508"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ea40922e983fbac41f1edb8de6a3508">ACMP_ENABLE_CRV</a>(acmp)</td></tr>
<tr class="memdesc:ga8ea40922e983fbac41f1edb8de6a3508"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable CRV(comparator reference voltage)  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ea40922e983fbac41f1edb8de6a3508">More...</a><br /></td></tr>
<tr class="separator:ga8ea40922e983fbac41f1edb8de6a3508"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa02b51a7db91ab851ad314fbf1522774"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa02b51a7db91ab851ad314fbf1522774">ACMP_DISABLE_CRV</a>(acmp)</td></tr>
<tr class="memdesc:gaa02b51a7db91ab851ad314fbf1522774"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable CRV(comparator reference voltage)  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa02b51a7db91ab851ad314fbf1522774">More...</a><br /></td></tr>
<tr class="separator:gaa02b51a7db91ab851ad314fbf1522774"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2ab63928fbc93ddce08d2958788acfa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2ab63928fbc93ddce08d2958788acfa">ACMP_SELECT_P</a>(acmp,  u32ChNum,  u32Src)&#160;&#160;&#160;((acmp)-&gt;CR[(u32ChNum)%2] = ((acmp)-&gt;CR[(u32ChNum)%2] &amp; ~<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gaf23568a25ecc37e0ccc2fbd86fa80bf4">ACMP_CR_CPP0SEL_Msk</a>) | (u32Src))</td></tr>
<tr class="memdesc:gab2ab63928fbc93ddce08d2958788acfa"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to select ACMP positive input source for ACMP0.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2ab63928fbc93ddce08d2958788acfa">More...</a><br /></td></tr>
<tr class="separator:gab2ab63928fbc93ddce08d2958788acfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8ed45bc3a65d7c0e6e468649325bd9a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed45bc3a65d7c0e6e468649325bd9a">ACMP_START_CONV</a>(acmp)</td></tr>
<tr class="memdesc:gaa8ed45bc3a65d7c0e6e468649325bd9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to start ACMP on sigma-delta mode or slope mode.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed45bc3a65d7c0e6e468649325bd9a">More...</a><br /></td></tr>
<tr class="separator:gaa8ed45bc3a65d7c0e6e468649325bd9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga7505028ec73e3c2360b07efd08a61b14"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">ACMP_Open</a> (<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *Acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</td></tr>
<tr class="memdesc:ga7505028ec73e3c2360b07efd08a61b14"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function open and configure comparator parameters.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">More...</a><br /></td></tr>
<tr class="separator:ga7505028ec73e3c2360b07efd08a61b14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27fe67fe691fb1142b7f383b2e9986d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">ACMP_Close</a> (<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *Acmp, uint32_t u32ChNum)</td></tr>
<tr class="memdesc:ga27fe67fe691fb1142b7f383b2e9986d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function close comparator.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">More...</a><br /></td></tr>
<tr class="separator:ga27fe67fe691fb1142b7f383b2e9986d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga032491a1eaec095524ca772e101bbc00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">ACMP_SetSigmaDeltaConv</a> (uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</td></tr>
<tr class="memdesc:ga032491a1eaec095524ca772e101bbc00"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure ACMP to sigma-delta mode.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">More...</a><br /></td></tr>
<tr class="separator:ga032491a1eaec095524ca772e101bbc00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac937fcc295fb0019f6b5bacbbbd63c58"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">ACMP_SetSlopeConv</a> (uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</td></tr>
<tr class="memdesc:gac937fcc295fb0019f6b5bacbbbd63c58"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure ACMP to slope mode.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">More...</a><br /></td></tr>
<tr class="separator:gac937fcc295fb0019f6b5bacbbbd63c58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series Analog Comparator(ACMP) driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>18 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/16 11:09a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
